@import "../../../../../assets/css/constants.scss";

@media only screen and (max-width: 768px) {
  .payment-container {
    background-color: #f4f4f4;
    margin: 0;
    padding: 20px;
    .checkout-payment {
      flex-direction: column;
      .order-summary {
        position: static;
        width: 100%;
        box-shadow: none;
        background: transparent;
        padding: 0;
        border-radius: 0;
        .checkout-right {
          padding: 0;
        }
      }
    }
    .common-field {
      width: 100%;
    }
    .month-field {
      width: 50%;
    }
    .year-field {
      width: 50%;
    }
  }
  .submit-btn {
    margin: 0 auto !important;
    display: flex;
    justify-content: center;
  }
  .payment-container h4 {
    width: 100% !important;
  }
}
.login-us-form {
    min-width: 150px;
    max-width: 500px;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 40px auto !important;
  }
.payment-container {
  box-shadow: none;
  background: transparent;
    padding: 20px 0;
    .checkout-payment {
      display: flex;
      align-items: center;
      margin-bottom: 15px;
    }
    h4 {
      font-weight: 400;
    font-size: 18px;
    padding-bottom: 15px;
    border-bottom: 1px solid #80808073;
    width: 80%;
    margin-bottom: 25px;
    }
    .payment-form {
      flex: 0 0 70%;
    }
    .order-summary {
      flex: 0 0 30%;
      position: relative;
      top: -60px;
      background: white;
      padding: 10px 30px 30px;
      border-radius: 15px;
      box-shadow: 0 3px 36px rgba(0, 0, 0, 0.15);
      min-height: 200px;
    }
    .payment-btn {
      display: flex;
      justify-content: center;
      border-top: 1px solid #80808073;
      button {
        width: 175px;
    height: 40px;
    text-transform: uppercase;
    font-size: 0.9em;
    border-radius: 8px;
      }
    }
}
  .login-container {
      padding: 0;
      box-shadow: none;
  }
  .continue-btn {
    background-color: var(--cx-color-primary) !important;
    border-color: var(--cx-color-primary) !important;
    color: $PRIMARY_WHITE !important;
    font-size: 20px;
    font-weight: 400;
    height: 48px;
    max-height: 48px;
    width: 48%;
    margin: 0 1%;

  }
  .back-btn {
    background-color: rgba(0,0,0,.12);
    font-size: 20px;
    font-weight: 400;
    height: 48px;
    max-height: 48px;
    width: 48%;
    margin: 0 1%;

  }
  .forgot-pwd {
      padding-bottom: 20px;
      a {
          color: $PRIMARY_BLACK;
          text-decoration: underline !important;
          &:hover {
              color: var(--cx-color-primary) !important;
          }
      }
  }
  .register-link {
      margin-bottom: 10px;
  }

  .error-msg {
    display: flex;
    justify-content: center;
  }

  .common-field {
    width: 80%;
  }
  .month-field {
    width: 15%;
    padding: 5px;
  }
  .year-field {
width: 20%;
padding: 5px;
}
.cvv-field {
width: 35%;
padding: 5px;
}

.billing-address {
  padding: 20px 0;
  .default-set {
    padding: 20px 0 30px;
      display: block;
  }
  p {
    margin: 3px;
  }
}

.default-payment-container {
  border: 1px solid #80808073;
    width: 300px;
    .def-payment-header {
      padding: 3px 10px;
    background-color: #80808073;
    color: $PRIMARY_WHITE;
    }
    .def-payment-body {
      padding: 15px;
      p {
        margin: 0;
    padding: 15px 0
      }
      .payment-details {
        display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 10px 0;
    .payment-left {
      display: flex;
    flex-direction: column;
    }
      }
    }
    .payment-footer {
      display: flex;
    justify-content: flex-end;
    }
}
.submit-btn {
  background-color: $SANED_BTN_PRIMARY !important;
  border-color: $SANED_BTN_PRIMARY !important;
  color: $PRIMARY_WHITE !important;
  font-size: 20px;
  font-weight: 400;
  height: 48px;
  max-height: 48px;
  width: 100%;
  max-width: 350px;
  margin-top: 20px !important;
}
.terms-and-condition {
  display: flex;
  max-width: 80%;
  .default-set {
    margin-right: 10px;
    margin-top: 5px;
  }
  a {
    color: $SANED_BTN_PRIMARY;
  }
}